From fe33bc11ae2fe332e999e2da5e6c77ac7cc2e4d1 Mon Sep 17 00:00:00 2001
From: Ilias Apalodimas <ilias.apalodimas@linaro.org>
Date: Mon, 14 Aug 2023 16:45:51 +0300
Subject: [PATCH] Register all memory as shared memory

Signed-off-by: Masahisa Kojima <masahisa.kojima@linaro.org>
---
 core/arch/arm/plat-synquacer/main.c | 9 +++++++++
 1 file changed, 9 insertions(+)

Upstream-Status: Pending

diff --git a/core/arch/arm/plat-synquacer/main.c b/core/arch/arm/plat-synquacer/main.c
index d94aff331756..bc39598271f9 100644
--- a/core/arch/arm/plat-synquacer/main.c
+++ b/core/arch/arm/plat-synquacer/main.c
@@ -28,6 +28,15 @@ register_phys_mem_pgdir(MEM_AREA_IO_SEC, GIC_BASE, CORE_MMU_PGDIR_SIZE);
 register_phys_mem_pgdir(MEM_AREA_IO_SEC, THERMAL_SENSOR_BASE,
 			CORE_MMU_PGDIR_SIZE);
 
+/*
+ * need to register whole DRAM region, because U-boot only
+ * supports dynamic allocation of the shared memory, it will use
+ * whole DRAM area.
+ */
+register_ddr(0x80000000, 0x7C000000);
+register_ddr(0x880000000, 0x780000000);
+register_ddr(0x8800000000, 0x800000000);
+
 void plat_console_init(void)
 {
 	pl011_init(&console_data, CONSOLE_UART_BASE, CONSOLE_UART_CLK_IN_HZ,
-- 
2.37.2

